
Ryzom - Bug # 1024

Status: Closed Priority: Low
Author: piotter Category: Build
Created: 07/17/2010 Assignee: kervala
Updated: 08/05/2010 Due date:
Subject: Ryzom-client requires Cmake 2.8 - Not standard in Ubuntu 9.04
Description

Ubuntu 9.04 has Cmake 2.6.4

Latest ryzom-client from mercurial

mx@2-desktop:~/ryzom/code/ryzom/build$ cmake -DWITH_SERVER=OFF -DWITH_TOOLS=OFF ..
CMake Error at CMakeLists.txt:39 (CMAKE_MINIMUM_REQUIRED):
  CMake 2.8 or higher is required.  You are running version 2.6.4

-- Configuring incomplete, errors occurred!
##Purge Cmake
sudo apt-get purge cmake cmake-data
##Grab Cmake 2.8
http://nl.archive.ubuntu.com/ubuntu/pool/main/c/cmake/cmake-data_2.8.0-5ubuntu1~karmic1_all.deb
http://nl.archive.ubuntu.com/ubuntu/pool/main/c/cmake/cmake_2.8.0-5ubuntu1~karmic1_i386.deb
dpkg -i cmake-data_2.8.0-5ubuntu1~karmic1_all.deb
dpkg -i cmake_2.8.0-5ubuntu1~karmic1_i386.deb

History
#1 - 07/17/2010 01:24 am - piotter

Make that a 9.10 error plz

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.10
DISTRIB_CODENAME=karmic
DISTRIB_DESCRIPTION="Ubuntu 9.10"

#2 - 07/17/2010 07:29 pm - kervala

Please what happens if you put :

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

instead of

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

I don't sure we are currently using CMake 2.8 features (NeL is using CMake 2.6).
#3 - 07/17/2010 11:32 pm - piotter

changed to CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
in $HOME/ryzon/code/ryzon/CmakeLists.txt

Build and making DEB  without complaining
http://dev.ryzom.com/wiki/ryzom/BuildForLinuxCmake
Building Ryzom Client
sudo checkinstall -y -D --pkgname nel-client --pkgversion 7.9.1.2

maybe better to set it back to 2.6 if 2.8 is not needed

#4 - 07/18/2010 10:50 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala

Thanks a lot, so I will set it to 2.6 :)

#5 - 07/18/2010 10:53 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r511.

#6 - 07/18/2010 08:57 pm - kervala
- Target version set to Version 0.8.0

#7 - 07/19/2010 03:34 am - sfb

Was this build tested on Windows using CMake? I'm relatively certain I changed it to 2.8 due to the CPack packaging calls for NSIS. If it works with 2.6
then I'm fine.

#8 - 08/05/2010 06:19 pm - kervala
- Status changed from Resolved to Closed

08/23/2018 2/2

http://dev.ryzom.com/wiki/ryzom/BuildForLinuxCmake

